=== debian/changelog ===
ros-melodic-rc-genicam-camera (1.3.0-1bionic) bionic; urgency=high

  * Make frame_id configurable and improved default.

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 03 Feb 2021 23:00:00 -0000

ros-melodic-rc-genicam-camera (1.2.4-1bionic) bionic; urgency=high

  * Fixed linking problems

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 28 Jan 2021 23:00:00 -0000

ros-melodic-rc-genicam-camera (1.2.3-1bionic) bionic; urgency=high

  * Updated cmake and CI files
  * Dropped building for trusty and added building for focal on CI

 -- Heiko Hirschmueller <heiko.hirschmueller@roboception.de>  Sun, 20 Dec 2020 23:00:00 -0000

ros-melodic-rc-genicam-camera (1.2.2-1bionic) bionic; urgency=high

  * Added parameter to rotate grabbed images by 180 degrees

 -- Heiko Hirschmueller <heiko.hirschmueller@roboception.de>  Thu, 05 Sep 2019 22:00:00 -0000

ros-melodic-rc-genicam-camera (1.2.1-1bionic) bionic; urgency=high

  * Added parameter for storing all grabbed images as files
  * Minor performance optimization

 -- Heiko Hirschmueller <heiko.hirschmueller@roboception.de>  Wed, 05 Jun 2019 22:00:00 -0000

ros-melodic-rc-genicam-camera (1.2.0-1bionic) bionic; urgency=high

  * Fixed failing of loading initial GenICam parameters
  * Fixed readme.
  * Generate documentation too
  * Report errors if config or calibration file cannot be loaded

 -- Heiko Hirschmueller <heiko.hirschmueller@roboception.de>  Thu, 23 May 2019 22:00:00 -0000

ros-melodic-rc-genicam-camera (1.1.0-1bionic) bionic; urgency=high

  * Setting CameraInfo values properly from mono- or stereocamera calibration file
  * Read camera timestamp from TimestampLatchValue by default, which in GenICam standard
  * Mapping of most 8 and 16 bit pixel formats from GenICam to ROS

 -- Heiko Hirschmueller <heiko.hirschmueller@roboception.de>  Thu, 31 Jan 2019 23:00:00 -0000

ros-melodic-rc-genicam-camera (1.0.0-1bionic) bionic; urgency=high

  * Initial release

 -- Heiko Hirschmueller <heiko.hirschmueller@roboception.de>  Wed, 23 Jan 2019 23:00:00 -0000
